Some games run fine, others give a "runtime error"...

For questions about using Classic.

Post » Fri Mar 12, 2010 8:18 pm

I was just wondering what might cause one game to work on my computer and another to fail to run.

I downloaded some random games from "Your Creations" and both "Lonely Light of Space" and "Decision Remark 3" run fine, but "Firefly", "Zombie-based wip (w/ awesome flashlight)" and "TowerClimb" all fail to load and give me a "runtime error" message.

I tried making a new .cap and I added a few ps2.0 effects. They all worked fine without any crashes, so I don't think it's a shader problem.

Does anyone know if there is something in particular that some of the games that I mentioned have in common?
B
4
S
2
G
4
Posts: 401
Reputation: 2,302

Post » Fri Mar 12, 2010 8:40 pm

You need to be using the same version of construct to correctly run .caps. Unless you mean exe's then I've no idea, update your drivers or something I suppose?
B
3
S
2
G
3
Posts: 628
Reputation: 2,531

Post » Fri Mar 12, 2010 9:12 pm

State what version you have installed and are using. Has this ever happened to you before in the IDE? TowerClimb was built in 99.72. I have a feeling it has to do with with the recent bug discovered and fixed by rojohound regarding sse2 processors. Post your full system specs and we might be able to tell.
B
25
S
3
G
6
Posts: 1,197
Reputation: 5,620

Post » Fri Mar 12, 2010 9:15 pm

Okay, I just tried opening the Zombie-based WIP in .9984 and it ran fine. The .exe that came with it gave a runtime error, though.


I had a lot of problems trying to get .caps to preview with .9962 so I moved up to .9984 today and now all of my old projects work again.

XP Home
2 gigs G Skill DDR
3.2 ghz Athlon XP
Radeon 9800 pro
B
4
S
2
G
4
Posts: 401
Reputation: 2,302

Post » Sat Mar 13, 2010 12:17 am

There's something amiss either in construct or certain plugins.

I'm not sure if that's what's causing your problems, but I've had trouble running caps and exes regardless of which version of construct I am using.
For instance, the Advanced Camera plugin doesn't work on one of the supplied demos, but it does on the other, and both work for most people.

There's another example of it in a thread I posted in recently where a couple of people couldn't run the demo, but everyone else could!?!

It's not a shader issue on my machine either, because my card supports up to PS 4.0.

Krush.
B
2
S
2
G
3
Posts: 406
Reputation: 2,062

Post » Sat Mar 13, 2010 4:05 am

YEP the newest ACP (Advanced Camera Plugin) does not seem to play well the the last 2 versions of Construct (only happens in XP, Vista and Win7 are fine). Once I removed ACP all worked well.
B
28
S
8
G
8
Posts: 530
Reputation: 7,154

Post » Sat Mar 13, 2010 8:35 am

[quote="Caspis Sinclair":m0d9caci]Okay, I just tried opening the Zombie-based WIP in .9984 and it ran fine. The .exe that came with it gave a runtime error, though.


I had a lot of problems trying to get .caps to preview with .9962 so I moved up to .9984 today and now all of my old projects work again.

XP Home
2 gigs G Skill DDR
3.2 ghz Athlon XP
Radeon 9800 pro[/quote:m0d9caci]

SSE2. Re-export the game to EXE in .9984 and see if that works.
B
62
S
21
G
12
Posts: 1,910
Reputation: 13,155

Post » Sat Mar 13, 2010 2:19 pm

[quote="Mipey":3a3f98oh][quote="Caspis Sinclair":3a3f98oh]SSE2. Re-export the game to EXE in .9984 and see if that works.[/quote:3a3f98oh][/quote:3a3f98oh]

That did it. 8)

Well at least now I know that there isn't a problem with my drivers or the windows install. Us poor, ancient Athlon XP users will just have to hope that more people start using the newer versions of Construct.
B
4
S
2
G
4
Posts: 401
Reputation: 2,302

Post » Sat Mar 13, 2010 5:09 pm

People will switch to v1 when it's ready, with luck. The majority though are waiting on v1. So really it wont be a problem when the time comes.
B
3
S
2
G
3
Posts: 628
Reputation: 2,531


Return to Help & Support using Construct Classic

Who is online

Users browsing this forum: No registered users and 4 guests